#!/usr/bin/env node

import fetch from "node-fetch";
const APIURI = "https://fi.jamix.cloud/apps/menuservice/rest/haku/menu/92225/1?lang=fi";
const myArgs = process.argv.slice(2);

function getAllFoods(data) {
  const days = data[0].menuTypes[0].menus[0].days

  const foods = [];
  days.map((day) => {
    foods.push(String(day.date));
    day.mealoptions.map((mealoption, index) => {
      let str = ""
      str += mealoption.name + ": "
      mealoption.menuItems.map((menuItem, index) => {
        index !== mealoption.menuItems.length - 1 ? str += menuItem.name + ", " : str += menuItem.name;
      })
      foods.push(str);
      index === day.mealoptions.length - 1 ? foods.push("\n") : '';
    })
  })
    

  return foods;
}

fetch(APIURI)
  .then((response) => response.json())
  .then((data) => getAllFoods(data).map(food => console.log(food)));
